Loading...
Searching...
No Matches
etl::parameter_type< T > Struct Template Reference

Determine how to pass parameters. More...

`#include <parameter_type.h>`

## Public Types

typedef etl::conditional< etl::is_fundamental< T >::value||etl::is_pointer< T >::value, T, constT & >::type | type
| By default fundamental and pointer types are passed by value.

## Detailed Description

template<typename T>
struct etl::parameter_type< T >

Determine how to pass parameters.

The documentation for this struct was generated from the following file:

- include/etl/parameter_type.h